CUDA Driver API (PDF) - v11.0.207 (older) - Last updated June 29, 2020 - Send Feedback

## 6.8. CUDA_EXTERNAL_SEMAPHORE_SIGNAL_PARAMS Struct Reference

## [Data types used by CUDA driver]

External semaphore signal parameters

### Public Variables

void * fence
CUDA_EXTERNAL_SEMAPHORE_SIGNAL_PARAMS::@14::@15 fence
unsigned int flags
unsigned long long key
CUDA_EXTERNAL_SEMAPHORE_SIGNAL_PARAMS::@14::@17 keyedMutex
unsigned long long value

### Variables

void * CUDA_EXTERNAL_SEMAPHORE_SIGNAL_PARAMS::fence [inherited]

  Pointer to NvSciSyncFence. Valid if CUexternalSemaphoreHandleType is of type CU_EXTERNAL_SEMAPHORE_HANDLE_TYPE_NVSCISYNC.

CUDA_EXTERNAL_SEMAPHORE_SIGNAL_PARAMS::@14::@15 CUDA_EXTERNAL_SEMAPHORE_SIGNAL_PARAMS::fence [inherited]

  Parameters for fence objects

unsigned int CUDA_EXTERNAL_SEMAPHORE_SIGNAL_PARAMS::flags [inherited]

  Only when CUDA_EXTERNAL_SEMAPHORE_SIGNAL_PARAMS is used to signal a CUexternalSemaphore of type CU_EXTERNAL_SEMAPHORE_HANDLE_TYPE_NVSCISYNC, the valid flag is CUDA_EXTERNAL_SEMAPHORE_SIGNAL_SKIP_NVSCIBUF_MEMSYNC which indicates that while signaling the CUexternalSemaphore, no memory synchronization operations should be performed for any external memory object imported as CU_EXTERNAL_MEMORY_HANDLE_TYPE_NVSCIBUF. For all other types of CUexternalSemaphore, flags must be zero.

unsigned long long CUDA_EXTERNAL_SEMAPHORE_SIGNAL_PARAMS::key [inherited]

  Value of key to release the mutex with

CUDA_EXTERNAL_SEMAPHORE_SIGNAL_PARAMS::@14::@17 CUDA_EXTERNAL_SEMAPHORE_SIGNAL_PARAMS::keyedMutex [inherited]

  Parameters for keyed mutex objects

unsigned long long CUDA_EXTERNAL_SEMAPHORE_SIGNAL_PARAMS::value [inherited]

  Value of fence to be signaled